Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CORBA::SystemException Class Reference

SystemException. More...

`#include <SystemException.h>`

Inheritance diagram for CORBA::SystemException:

[legend]
Collaboration diagram for CORBA::SystemException:

[legend]
List of all members.

## Public Member Functions
| SystemException (const SystemException &src)
| Copy constructor.
virtual | ~SystemException (void)
| Destructor.
ULong | minor (void) const
| Get the minor status.
void | minor (ULong m)
| Set the minor status.
CORBA::CompletionStatus | completed (void) const
| Get the completion status.
void | completed (CORBA::CompletionStatus c)
| Set the operation completion status.
virtual void | _raise (void) const =0
void | _tao_print_system_exception (FILE *f=stdout) const
virtual ACE_CString | _info (void) const
virtual void | _tao_encode (TAO_OutputCDR &cdr) const
virtual void | _tao_decode (TAO_InputCDR &cdr)
virtual CORBA::Exception * | _tao_duplicate (void) const
| Deep copy.
## Static Public Member Functions
SystemException * | _downcast (CORBA::Exception *exception)
| Narrow to a SystemException.
const SystemException * | _downcast (const CORBA::Exception *exception)
| The const version of narrow operation to a SystemException.
CORBA::ULong | _tao_minor_code (u_int location, int errno_value)
| Helper to create a minor status value.
CORBA::ULong | _tao_errno (int errno_value)
## Protected Member Functions
| SystemException (void)
| Default constructor.
SystemException & | operator= (const SystemException &src)
| Assignment operator.
| SystemException (CORBA::ULong code, CORBA::CompletionStatus completed)
| Constructor using a repository id.
| SystemException (const char *repository_id, const char *local_name, CORBA::ULong code, CORBA::CompletionStatus completed)
| Constructor using a repository id.
## Static Protected Member Functions
const char * | _tao_get_omg_exception_description (const CORBA::SystemException &exc, CORBA::ULong minor_code)
## Private Attributes
CORBA::ULong | minor_
| Minor code.
CORBA::CompletionStatus | completed_
| Completion status.

## Detailed Description

SystemException.

System exceptions are those defined in the CORBA specification; OMG-IDL defines these.

## Constructor & Destructor Documentation

CORBA::SystemException::SystemException | ( | const SystemException & | src | ) |

| Copy constructor.

CORBA::SystemException::~SystemException | ( | void |  | ) | `[virtual]`

| Destructor.

CORBA::SystemException::SystemException | ( | void |  | ) | `[protected]`

| Default constructor.

CORBA::SystemException::SystemException | ( | CORBA::ULong | code,
|  | CORBA::CompletionStatus | completed
| ) | `[protected]`

| Constructor using a repository id.

CORBA::SystemException::SystemException | ( | const char * | repository_id,
|  | const char * | local_name,
|  | CORBA::ULong | code,
|  | CORBA::CompletionStatus | completed
| ) | `[protected]`

| Constructor using a repository id.

## Member Function Documentation

ACE_INLINE const CORBA::SystemException * CORBA::SystemException::_downcast | ( | const CORBA::Exception * | exception | ) | `[static]`

| The const version of narrow operation to a SystemException. Reimplemented from CORBA::Exception.

ACE_INLINE CORBA::SystemException * CORBA::SystemException::_downcast | ( | CORBA::Exception * | exception | ) | `[static]`

| Narrow to a SystemException. Reimplemented from CORBA::Exception.

ACE_CString CORBA::SystemException::_info | ( | void |  | ) | const`[virtual]`

| Returns a string containing information about the exception. This function is not CORBA compliant. Implements CORBA::Exception.

virtual void CORBA::SystemException::_raise | ( | void |  | ) | const`[pure virtual]`

| Implements CORBA::Exception.

void CORBA::SystemException::_tao_decode | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

| Implements CORBA::Exception.

CORBA::Exception * CORBA::SystemException::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Deep copy. Implements CORBA::Exception.

void CORBA::SystemException::_tao_encode | ( | TAO_OutputCDR & | cdr | ) | const`[virtual]`

| Implements CORBA::Exception.

CORBA::ULong CORBA::SystemException::_tao_errno | ( | int | errno_value | ) | `[static]`

| Helper to translate a platform-specific errno to a TAO errno value.

const char * CORBA::SystemException::_tao_get_omg_exception_description | ( | const CORBA::SystemException & | exc,
|  | CORBA::ULong | minor_code
| ) | `[static, protected]`

| Return the exception description associated with the given OMG minor code.

CORBA::ULong CORBA::SystemException::_tao_minor_code | ( | u_int | location,
|  | int | errno_value
| ) | `[static]`

| Helper to create a minor status value.

void CORBA::SystemException::_tao_print_system_exception | ( | FILE * | f = `stdout` | ) | const

| Print the system exception `ex` to output determined by `f`. This function is not CORBA compliant.

ACE_INLINE void CORBA::SystemException::completed | ( | CORBA::CompletionStatus | c | ) |

| Set the operation completion status.

ACE_INLINE CORBA::CompletionStatus CORBA::SystemException::completed | ( | void |  | ) | const

| Get the completion status.

ACE_INLINE void CORBA::SystemException::minor | ( | ULong | m | ) |

| Set the minor status.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE CORBA::ULong CORBA::SystemException::minor | ( | void |  | ) | const

| Get the minor status.

CORBA::SystemException & CORBA::SystemException::operator= | ( | const SystemException & | src | ) | `[protected]`

| Assignment operator.

## Member Data Documentation

CORBA::CompletionStatus CORBA::SystemException::completed_`[private]`

| Completion status.

CORBA::ULong CORBA::SystemException::minor_`[private]`

| Minor code.

The documentation for this class was generated from the following files:

- SystemException.h
- SystemException.cpp
- SystemException.inl